<?php

include_once(dirname(__FILE__).'/../../Base/HTML/Controller.php');

class MainController extends Controller
{
  function  __construct($System)
  {
    parent::__construct($System);
    $this->Name = 'Main';
    $this->DefaultAction = 'About';
    $this->ActionMap = array(
      'History' => 'History',
      'Internet' => 'Internet',
      'Hosting' => 'Hosting',
      'About' => 'About',
      'Documents' => 'Documents',
      'Links' => 'Links',
      'Contact' => 'Contact',
      //'Delete' => 'Delete',
      //'Edit' => 'Edit',
      //'Add' => 'Add',
      //'ListPanel' => 'ListPanel',
      //'List' => 'ItemList',
    );
  }
  
  function IconedLink($Link, $Text)
  {
    $Extension = substr($Link, strrpos($Link, '.') + 1);
    //echo($Extension);
    $Icon = '<img src="images/icons/'.$Extension.'.gif" alt="'.$Extension.'"> ';
    return($Icon.'<a href="'.$Link.'">'.$Text.'</a>');
  }

  function Links()
  {
    $this->System->Output->Title = $this->System->Localization->Translate('Links');

    $Output .= '<strong>Odkazy související s obcí:</strong><br/>
<a href="http://www.zdechov.cz/">Obec Zděchov</a> - oficiální stránky obce<br/>
<a href="http://zdechovskagrapa.sweb.cz/">Zděchovská grapa</a> - místní motokrosové závody<br/>
<a href="http://www.snbzdechov.com/zavod.htm">Zděchovská třicítka</a> - tradiční běžkařský závod<br/>
<a href="http://www.snbzdechov.com/">Snowpark Zděchov</a> - areál se sjezdovkou pro lyžaře i snowboardisty<br/>
<a href="http://sdh.zdechov.net/">SDH Zděchov</a> - Sbor Dobrovolných Hasičů Zděchov<br/>
<a href="http://fotbal.zdechov.net/">TJ Sokol Zděchov</a> - stránky věnované Zděchovskému fotbalovému týmu<br/>
<a href="http://farnost.zdechov.net/">Farnost Zděchov</a> - informace k místní farnosti<br/>
<br/>

<strong>Hostované servery:</strong><br/>
<a href="http://www.heroesoffantasy.cz/">Heroes of Fantasy</a> - free World of Warcraft server<br/>
<a href="http://wowpreklad.zdechov.net/">WoWpřeklad</a> - překlad hry WoW do češtiny<br/>
<a href="http://archangel-portal.cz/">Archangel portál</a> - herní server<br/>
<a href="http://victus.cz/">Victus</a> - herní server hry WoW<br/>
<a href="http://gameshoot.eu/">GameShoot</a> - herní portál<br/>
<br/>

<strong>Odkazy související s okolím:</strong><br/>
<a href="http://www.valassko-hornovsacko.cz/">Valašsko - Horní Vsacko</a> - informační stránky oblasti<br/>
<br/>

<a HREF="http://www.toplist.cz/cgi-bin/stat.asp&amp;menu=4096&amp;menu=2048&amp;menu=64&amp;menu=1024&amp;menu=512&amp;menu=32&amp;menu=256&amp;menu=4&amp;menu=128&amp;menu=8&amp;menu=16&amp;menu=8192&amp;menu=2&amp;menu=16384&amp;menu=1&amp;kdy=dnes&amp;n=90148"><script language="JavaSc&amp;ript" type="text/javascript">
<!--
document.write (\'<img align="right" src="http://toplist.cz/count.asp?id=90148&amp;logo=mc&amp;http=\'+escape(document.referrer)+\'&amp;wi=\'+escape(window.screen.width)+\'&he=\'+escape(window.screen.height)+\'&amp;cd=\'+escape(window.screen.colorDepth)+\'&amp;t=\'+escape(document.title)+\'" width=88 height=60 border=0 alt="TOPlist"/>';
//--></script></a>

    $Output .= '<strong>Komunitní sítě v okolí:</strong><br/>
<a href="http://www.hovnet.cz/">Hovnet</a> - síť v Hovězí, Janové, Huslenkách a dalších obcích<br/>';
//<a href="http://czvk3.net/">czvk3net</a> - síť ve Valašských Kloboucích<br/>
    $Output .= '<a href="http://hvfree.net/">HvFree.net</a> - síť v Tylovicích, Hážovicích, Viganticích a Hutisku<br/>'.
    '<a href="http://www.ustinet.cz/">Ústí.Net</a> - síť v Ústí u Vsetína<br/>
    <br/>';
    return($Output);
  }
  
  function History()
  {
    $this->System->Output->Title = $this->System->Localization->Translate('NetworkHistory');

    $Output = '<table>';
    $DbResult = $this->System->Database->query('SELECT * FROM History ORDER BY Date DESC');
    while($DbRow = $DbResult->fetch_assoc())
    {
      $Output .= '<tr><td style="text-align: right; vertical-align: top;">'.$this->System->HTML->HumanDate($this->System->Database->MysqlDateToTime($DbRow['Date'])).'&nbsp;- </td><td>'.$DbRow['Text'].'</td></tr>';
    }
    $Output .= '</table>';
    return($Output);
  }
  
  function Internet()
  {
    $this->System->Output->Title = $this->System->Localization->Translate('Internet');

    $Output = 'Hlavní náplní činnosti sítě je poskytovat výhodné připojení k internetu pro občany.<br/><br/>';
    $Output .= '<strong>Nabídka tarifů:</strong><br/>
<table class="WideTable">
<tr><th>Označení</th><th>Rychlost</th><th>Agregace</th><th>Cena [Kč/měsíc]</th></tr>
<tr><td>Zdarma</td><td align="center">128 kbit/s</td><td align="center"></td><td align="center">0</td></tr>
<tr><td>Pomalejší</td><td align="center">1 Mbit/s</td><td align="center">1:20</td><td align="center">190</td></tr>
<tr><td>Pomalý</td><td align="center">2 Mbit/s</td><td align="center">1:20</td><td align="center">260</td></tr>
<tr><td>Střední</td><td align="center">4 Mbit/s</td><td align="center">1:20</td><td align="center">360</td></tr>
<tr><td>Rychlý</td><td align="center">8 Mbit/s</td><td align="center">1:20</td><td align="center">520</td></tr>
<tr><td>Rychlejší</td><td align="center">16 Mbit/s</td><td align="center">1:20</td><td align="center">750</td></tr>
</table>
<br/>
Rychlost všech tarifů je symetrická, není omezován objem přenášených dat.<br/>
<br/>
<i>Aktualizováno: 3.7.2009</i>';

    return($Output);
  }
  
  function Hosting()
  {
    $this->System->Output->Title = $this->System->Localization->Translate('Hosting');

    $Output = 'V nabídce je provoz virtualizovaných Linuxových serverů dle dohodnutých parameterů.<br/><br/>';
    $Output .= '<strong>Standardní varianty:</strong><br/>
<table class="WideTable">
<tr><th>Označení</th><th>Rychlost</th><th>Vyhrazená paměť</th><th>Pevný disk</th><th>Procesor</th><th>Cena [Kč/měsíc]</th></tr>
<tr><td>VPS 4G</td><td align="center">16/16 Mbit 1:20</td><td align="center">4GB fyzická + 1GB odkládací</td><td align="center">50 GB</td><td align="center">sdílený 2,8+ GHz, 2+ jader</td><td align="center">1000</td></tr>
<tr><td>VPS 2G</td><td align="center">16/16 Mbit 1:20</td><td align="center">2GB fyzická + 1GB odkládací</td><td align="center">30 GB</td><td align="center">sdílený 2,8+ GHz, 2+ jader</td><td align="center">600</td></tr>
</table>
<br/>
První měsíc zdarma, denní zálohování disků <br/>
Použité technologie: <a href="http://www.linux.cz/">GNU/Linux</a>, <a href="http://openvz.org/">OpenVZ</a>, <a href="http://pve.proxmox.com/">Proxmox VE</a>, <a href="http://backuppc.sourceforge.net/">BackupPC</a><br/>
<br/>
<i>Aktualizováno: 1.3.2010</i>';

    return($Output);
  }
  
  function About()
  {
    $this->System->Output->Title = $this->System->Localization->Translate('About');

    $Output = '<img align="left" src="images/umisteni.gif" alt="Umístění obce">
<a href="images/pokryti.jpg"><img align="right" src="images/pokryti_nahled.jpg" width="170" height="334" alt="Pokrytí obce signálem"></a>
<strong>Informace o obci:</strong><br/>
Vesnice Zděchov se nachází pár kilometrů od obce Huslenky, jihovýchodním směrem od Vsetína. Je zasazena do typicky valašské krajiny roztroušených usedlostí a jalovcových pasek. Stojí zde dochovalé stavby lidové architektury, klasicistní kostel Proměnění Páně a kamenný kříž z roku 1778.<br/>
Zděchov poskytuje ideální podmínky pro celeroční rekreaci. Najdete zde koupaliště, lyžařský vlek a motokrosovou trať. Prochází tudy modrá turistická značka, odsud také vede žlutá značka, která tvoří spojnici se zelenou.<br/>
<br/>
<strong>Informace o síti:</strong><br/>
Počítačová síť postupně vznikla jako přirozená reakce na tehdejší situaci v informačních technologiích a jako reakce na nedostupnost vhodného internetového připojení pro domácnosti v obci. Členové komunity jsou mezi sebou propojeni pomocí kabelu nebo bezdrátové technologie Wi-Fi. K internetu jsou připojeni přes hlavní směrovač. Připojení je negarantované, avšak prvořadým cílem je maximální spolehlivost, stabilita, rychlost a dostupnost připojení. Jelikož je obec odlehlá a obklopena vysokými kopci, jsou zde možnosti jiného kabelového či bezdrátového připojení značně omezené. Síť vedená místními aktivisty také přináší řadu nadstandardních komunitních služeb.<br/>  
<br/>
<i>Důvody ke vzniku sítě:</i><br/>
<ul>
<li>Možnost komunikace mezi členy formou textu, zvuku či videa</li>
<li>Dosažení rychlejšího a levnějšího nepřetržitého sdíleného internetového připojení bez omezení dat</li>
<li>Možnost šíření aktuálních informací z dění v obce</li>
<li>Sdílení společných dat</li>
<li>Společné hraní síťových her</li>
<li>Zprovoznění užitečných služeb (chat, aktuality, bazar, menu v jídelně, web kamery, aj.)</li>
</ul><br/>';
    
    $Output .= '<br/>
<a href="images/pohlednice_stara.jpg"><img align="right" src="images/pohlednice_stara_mala.jpg" alt="Stará pohlednice"></a>';

    $Output .= '<strong>Počty zákazníků:</strong><br/>
Připojených domácností v obci: 99<br/>
Připojených institucí: 1<br/>
Hosting serverů: 4<br/>
Celkem: 104<br/>
<br/>
<strong>Technické parametry sítě</strong><br/>
Internetové připojení: 20/20 Mbit/s, vyhrazené, symetrické, bez agregace, bez omezení přenesených dat, přes společnost <a href="http://www.inext.cz/">Internext 2000</a><br/>
Pokrytí obce signálem: asi 80%<br/>
V připojených domácnostech celkem 327 občanů ze všech 600 (55 %)<br/>
<br/>
<i>Aktualizováno: 3.7.2009</i>';
    return($Output);
  }
  
  function Documents()
  {
    $this->System->Output->Title = $this->System->Localization->Translate('Documents');

    $Output = '<strong>O obci:</strong><br/>';

    $Output .= $this->IconedLink('docs/Zdechovska_historie_a_soucasnost.pdf', 'Zděchovská historie a současnost').' (1,6 MB)<br/>';
    $Output .= '<img src="images/icons/pdf.gif" alt=""> Zděchov - klíč od hřebene Javorníků - propagační publikace obce (kvalita '.
'<a href="docs/Zděchov - klíč od hřebene Javorníků (nízká kvalita).pdf">nízká (1,8 MB)</a> '.
'<a href="docs/Zděchov - klíč od hřebene Javorníků (střední kvalita).pdf">střední (3,7 MB)</a> '.
'<a href="docs/Zděchov - klíč od hřebene Javorníků (vysoká kvalita).pdf">vysoká (7,2 MB)</a>)'.
'<br/><br/>';
    $Output .= '<strong>Propagace sítě v obci:</strong><br/>';
  
    $Output .= $this->IconedLink('docs/info_na_infokanal_1.6.2006.pdf', 'Aktualita na infokanálu (1.6.2006)').'<br/>';
    $Output .= $this->IconedLink('docs/info_na_infokanal_4.3.2005.pdf', 'Aktualita na infokanálu (4.3.2005)').'<br/>';
    $Output .= $this->IconedLink('docs/info_na_infokanal_24.9.2004.pdf', 'Aktualita na infokanálu (24.9.2004)').'<br/>';
   $Output .= $this->IconedLink('docs/vyzva_do_infokanalu_15.8.2004.pdf', 'Výzva do infokanálu (15.8.2004)').'<br/>';

    return($Output);
  }
  
  function Contact()
  {
    $this->System->Output->Title = $this->System->Localization->Translate('Contact');

    $Output = '<strong>Kontaktní informace</strong><br/>'.
    'Provozovatel: Ing. Jiří Hajda<br/>'.
    'Adresa: Zděchov 208, 75607<br/>'.
    'Telefón: 737785792<br/>'.
    'E-mail: <a href="mailto: robie@centrum.cz">robie@centrum.cz</a><br/>'.
    'IČ: 75904535<br/>'.
    'DIČ: CZ8303255884<br/>'.
    'Bankovní účet: 218098370 / 0300<br/>';
    return($Output);
  }  
}

?>