<?php

include_once('System.php');

class UserNotFoundException extends Exception {}

class User extends Object
{
  var $Id;

  function LoadData()
  {
    $DbResult = $this->System->Database->select('User', '*', 'Id='.$this->Id);
    if($DbResult->num_rows > 0)
    {
      $this->Data = $DbResult->fetch_assoc();
      if($this->Data['Rank'] == '') $this->Data['Rank'] = 0;
    } else throw new Exception('User with id '.$this->Id.' not found');
  }

  function GetByName($Name)
  {
    $DbResult = $this->System->Database->select('User', 'Id', 'Name="'.$Name.'"');
    if($DbResult > 0)
    {
      $DbRow = $DbResult->fetch_assoc();
      return($DbRow['Id']);
    } else
      throw new UserNotFoundException('User not found');
  }

  function GetByNamePassword($Name, $Password)
  {
    $DbResult = $this->System->Database->select('User', 'Id', 'Name="'.$Name.
      '" AND Password=SHA1(CONCAT(SHA1("'.$Password.'"), Salt))');
    if($DbResult->num_rows > 0)
    {
      $DbRow = $DbResult->fetch_assoc();
      return($DbRow['Id']);
    } else
      throw new UserNotFoundException('User not found');
  }

  function Add($Name, $Password, $Email)
  {
    $Salt = GetPasswordSalt();
    $this->System->Database->insert('User', array('Name' => '"'.$Name.'"',
      'Salt' => '"'.$Salt.'"', 'Password' => 'SHA1(CONCAT(SHA1("'.$Password.'"), "'.$Salt.'"))',
      'Email' => '"'.$Email.'"', 'RegistrationTime' => 'NOW()'));
  }

  function GetPasswordSalt()
  {
    $Salt = uniqid(mt_rand(), true);
    return(base64_encode(substr($Salt, 0, 8)));
  }
}



?>
