<?php

include_once('System.php');

class UserOnline extends Object
{
  var $Id;
  var $User;
  var $AnonymousUserId;

  function __construct($System)
  {
    parent::__construct($System);
    $this->Id = 0;
    $this->AnonymousUserId = 98;
    $this->User = $this->AnonymousUserId;
  }

  function Update()
  {
    $DbResult = $this->System->Database->select('UserOnline', '`Id`, `User`', '`SessionId`="'.session_id().'"');
    if($DbResult->num_rows > 0)
    {
      // Update exited
      $DbRow = $DbResult->fetch_assoc();
      $this->Id = $DbRow['Id'];
      $this->System->Database->update('UserOnline', 'Id='.$this->Id,
        array('ActivityTime' => 'NOW()', 'ScriptName' => '"'.$_SERVER['PHP_SELF'].'"'));
      $this->User = $DbRow['User'];
    } else
    {
      // Create new record
      $this->System->Database->insert('UserOnline', array('User' => $this->AnonymousUserId,
        'ActivityTime' => 'NOW()', 'SessionId' => '"'.session_id().'"',
        'IpAddress' => '"'.$this->System->GetRemoteAddress().'"',
        'HostName' => '"'.gethostbyaddr($this->System->GetRemoteAddress()).'"',
        'ScriptName' => '"'.$_SERVER['PHP_SELF'].'"'));
      $this->Id = $this->System->Database->insert_id;
    }
  }

  function Login($UserId)
  {
    $this->Logout();
    $this->System->Database->update('UserOnline', 'SessionId="'.session_id().'"',
      array('User' => $UserId, 'LoginTime' => 'NOW()'));
    $this->User = $UserId;
  }

  function Logout()
  {
    if($this->Id = 0) $this->Update();
    if($this->User > 0)
    {
      $this->System->Database->update('UserOnline', 'SessionId="'.session_id().'"',
        array('User' => $this->AnonymousUserId));
      $this->User = $this->AnonymousUserId;
    }
  }
}

?>
