<?php

include_once(dirname(__FILE__).'/Base/System.php');
$ConfigFile = dirname(__FILE__).'/Configuration/Config.php';
if(file_exists($ConfigFile)) include($ConfigFile);
  else die('Missing configuration file "'.$ConfigFile.'"');

class MyApplication extends Application
{
  var $User;
  var $UserOnline;
  var $HTTP;
  var $HTML;
  var $Output;
  var $PrefixMultiplier;
  var $BaseURL;
  var $Type;

  function __construct()
  {
    parent::__construct();

  }

  function Run()
  {
    parent::Run();
    
    echo('History, ');
    $this->Database->query('TRUNCATE TABLE History');
    $this->Database->query('INSERT INTO History (SELECT * FROM centrala.History)');
    echo('User, ');
    $this->Database->query('TRUNCATE TABLE User');
    $this->Database->query('INSERT INTO User (SELECT Id, Name AS FullName, Login AS Name, Password, "" AS Salt, 0 AS Rank, RegistrationTime, Email, Member FROM centrala.User)');
    $this->Database->query('UPDATE User SET Salt = SUBSTRING(MD5(concat(rand(), rand(), rand(), rand(), rand())), 1, 8)');    
    $this->Database->query('UPDATE User SET Password = SHA1(CONCAT(Password, Salt))');
    echo('Done');
  }
}

$Application = new MyApplication();
$Application->Database->HostName = $Config['Database']['HostName'];
$Application->Database->UserName = $Config['Database']['UserName'];
$Application->Database->Password = $Config['Database']['Password'];
$Application->Database->Schema = $Config['Database']['Schema'];
$Application->Database->ShowSQLError = true; //$Config['Database']['ShowError'];
$Application->Database->ShowSQLQuery = $Config['Database']['ShowQuery'];
$Application->Output->Style = $Config['Web']['Style'];
$Application->Output->Charset = $Config['Web']['Charset'];
$Application->Output->FormatHTML = $Config['Web']['FormatHTML'];
$Application->Output->Admin = $Config['Web']['Admin'];
$Application->Output->AdminEmail = $Config['Web']['AdminEmail'];
$Application->Output->ShowRuntimeInfo = $Config['Web']['ShowRuntimeInfo'];
$Application->Output->GlobalTitle = $Config['Web']['Title'];
$Application->Output->Keywords = $Config['Web']['Keywords'];
$Application->Localization->Locale = $Config['Web']['Locale'];
$Application->Run();

?>
